Wednesday, March 2, 2011

Why Make Default Version in Google App Engine may fail!

I had deployed my http://10.APP.appspot.com/ and tested - all was fine, so I clicked on the "Make Default" button and got this error:

Why?
From version 9 to version 10 I had updated my GUI library: (http://www.zkoss.org/download/) changing from ZK 5.0.4 to ZK 5.0.6 giving me this error in the Logs:


javax.servlet.ServletException: java.lang.RuntimeException: java.io.InvalidClassException: org.zkoss.zk.ui.impl.DesktopImpl; local class incompatible: stream classdesc serialVersionUID = 20100623, local class serialVersionUID = 20101123


If I understand this correct ZKoss DID change the serialVersionUID as they SHOULD do, but when the application starts up it loads data from the session - and this is OLD classes with another serialVersionUID.

So what can I do?
- wait until there are NO active sessions on the server?
- delete sessions manually in the Datastore Viewer?
- make an admin-servlet that does this?